Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2075989 - libyui-mga-qt doesn't require libyui-qt
Summary: libyui-mga-qt doesn't require libyui-qt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libyui-mga-qt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException AcceptedBlocker
Depends On:
Blocks: F36FinalBlocker F36FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-04-16 21:49 UTC by Onuralp Sezer
Modified: 2022-04-19 22:04 UTC (History)
12 users (show)

Fixed In Version: libyui-mga-qt-1.2.0-3.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-19 22:04:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Onuralp Sezer 2022-04-16 21:49:25 UTC
Hello,

Spec file : https://src.fedoraproject.org/rpms/dnfdragora/raw/rawhide/f/dnfdragora.spec

Default installation of KDE come with "dnfdragora" but problem is It doesn't come with proper UI backend because It doesn't isntall "libyui-mga-qt" package. As a default we ship "qt5-qtbase-gui" and "gtk3" and in recommends section we have statement for both backends. 

Recommends:	(libyui-mga-qt if qt5-qtbase-gui)
Recommends:	(libyui-mga-gtk if gtk3) 

I also tested on fresh installation of Fedora 36 Beta KDE and notice that It didn't install libyui-mga-qt" package. So makes UI problem as well .

Related BZ : https://bugzilla.redhat.com/show_bug.cgi?id=2075976

Normally it should be install both backends. So dnfdragora can handle UI backend automatically. In this case It run "Qt" backend in KDE. Because internal code already know which "Desktop/backend" so It should be fine.

Comment 1 Fedora Blocker Bugs Application 2022-04-17 00:55:06 UTC
Proposed as a Blocker and Freeze Exception for 36-final by Fedora user thunderbirdtr using the blocker tracking app because:

 It makes difficulties on GUI so, Users had hard time to install package because of the inconsistent UI backend selection

Comment 2 Neal Gompa 2022-04-18 17:44:21 UTC
The actual bug is that libyui-mga-qt doesn't require libyui-qt (how? heck if I know?), and fixing that will fix this bug.

Comment 3 Fedora Update System 2022-04-18 17:57:09 UTC
FEDORA-2022-0ea3075d22 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0ea3075d22

Comment 4 Adam Williamson 2022-04-19 16:28:52 UTC
+8 for FE in https://pagure.io/fedora-qa/blocker-review/issue/760 , marking accepted. Blocker vote is outstanding (there's actually enough votes to accept it, but there's a question of consistency, so I'm going to hold it for the meeting).

Comment 5 Geoffrey Marr 2022-04-19 18:59:58 UTC
Discussed during the 2022-04-19 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker (Final)" was made as it violates the following criterion:

"The installed system must be able appropriately to install, remove, and update software with the default tool for the relevant software type" for dnfdragora in KDE at lower vertical resolutions.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2022-04-19/f36-blocker-review.2022-04-19-16.09.txt

Comment 6 Fedora Update System 2022-04-19 22:04:07 UTC
FEDORA-2022-0ea3075d22 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.